Start an OS-account binding under the current administrator's user authorization and configured step-up; direct TLS required.
const url = 'https://example.com/v1/auth/os-account-bindings';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"account":"example","tenant":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","user_id":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/v1/auth/os-account-bindings \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "account": "example", "tenant": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "user_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }'Starts a single-use ceremony under the current administrator authorization and configured step-up policy. The selected user must complete native account control from its own session; only direct TLS is accepted.
Authorizations
Section titled “ Authorizations ”Request Body required
Section titled “ Request Body required ”object
Example generated
{ "account": "example", "tenant": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "user_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}Responses
Section titled “ Responses ”OK
object
Example generated
{ "ceremony_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}Request refused
object
object
With code module_not_enabled: the namespace of the module this node does not run.
Example generated
{ "error": { "code": "example", "message": "example", "module": "example" }}Request refused
object
object
With code module_not_enabled: the namespace of the module this node does not run.
Example generated
{ "error": { "code": "example", "message": "example", "module": "example" }}Request refused
object
object
With code module_not_enabled: the namespace of the module this node does not run.
Example generated
{ "error": { "code": "example", "message": "example", "module": "example" }}Request refused
object
object
With code module_not_enabled: the namespace of the module this node does not run.
Example generated
{ "error": { "code": "example", "message": "example", "module": "example" }}Request refused
object
object
With code module_not_enabled: the namespace of the module this node does not run.
Example generated
{ "error": { "code": "example", "message": "example", "module": "example" }}Request refused
object
object
With code module_not_enabled: the namespace of the module this node does not run.
Example generated
{ "error": { "code": "example", "message": "example", "module": "example" }}Request refused
object
object
With code module_not_enabled: the namespace of the module this node does not run.
Example generated
{ "error": { "code": "example", "message": "example", "module": "example" }}